2.6.7:

2008-08-27  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/libglademm/libglademm-2.4.rc.in: Replaced #include
	"afxres.h" by #include <windows.h> which does the job equally well,
	and allows compilation with the freely available Visual Studio
	Express compiler.

2008-08-19  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/basic_from_buffer/Makefile.am:
	* examples/basic_from_buffer/basic_from_buffer.cc:
	Added an example using create_from_buffer().

2008-08-10  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/: Moved from MSVC_Net2003.

	* MSVC_Net2005/libglademm/libglademm-2.4.rc.in: Removed "#include
	resource.h" since there is no resource.h, and the resource builds fine
	without.

	* MSVC_Net2005/libglademm.sln: Build all examples by default.

	* configure.in:
	* Makefile.am: Adopted build files for the MSVC_Net2003 ->
	MSVC_Net2005 rename.

2.6.6:

2007-05-17  Dave Moore <wrex006@gmail.com>

	* libglade/src/xml.hg: connect_clicked(): Add support for connecting
	Gtk::ToolButton clicked signals.
	Bug #439339

2007-12-08  Murray Cumming  <murrayc@murrayc.com>

	* examples/Makefile.am:
	Removed examples/README because it was empty.

2007-12-08  Murray Cumming  <murrayc@murrayc.com>

	* README: Added some text.

2.6.5:

2007-09-07  Armin Burgmeier  <armin@openismus.com>

	* libglade/src/xml.hg:
	* libglade/src/xml.ccg: Do not use exceptions when compiled with
	exceptions disabled. Instead, Gnome::Glade::Xml takes an additional
	error parameter like most other g*mm methods that can fail.

2007-09-09  Murray Cumming  <murrayc@murrayc.com>

        * docs/reference/Doxyfile.in: Add defines to PREDEFINED so that documentation 
        is built wihout hiding optional API, such as use of exceptions. 

2.6.4:

2007-06-18  Douglas C. MacKenzie  <doug@mobile-intelligence.com>

	* libglade/src/xml.ccg: Xml(const char* buffer, ) constructor: 
	Make this actually work, by using the new 
	glade_xml_construct_from_buffer() function from libglade.

2007-05-20  Armin Burgmeier  <armin@openismus.com>

	* libglade/src/xml.hg:
	* libglade/src/xml.ccg: Fixed build with disabled exceptions and
	vfuncs.

2007-04-24  Yselkowitz <yselkowitz@users.sourceforge.net>

        * scripts/macros.m4: Check for both m4 and M4 in the GNU m4 output,
        to fix the build on some platforms.
        Bug #423990

2007-03-05  Ole Laursen  <olau@hardworking.dk>

	* libglade/src/xml.hg: Added more documentation, clarifying the
	lifetime rules.

2.6.3:

2006-04-19  Cedric Gustin  <cedric.gustin@gmail.com>

	* MSVC_Net2003/*.vcproj: Updated for Visual Studio 2005. Added the
	/vd2 compiler flag (Bug #158040). Renamed target DLL to
	glademm-2.4 to comply to the value returned by "pkg-config --libs
	--msvc-syntax libglademm-2.4".
	* MSVC_Net2003/libglademm.sln: Updated for Visual Studio 2005. 
	* MSVC_Net2003/gendef/gendef.cc: Redirect output of dumpbin to a
	file.
	* build_shared/Makefile_build.am_fragment: Add -DLIBGLADEMM_BUILD
	to the extra_defines compiler flags (switch between
	dllexport/dllimport on win32).
	
2.6.2:

2006-02-22  Murray Cumming  <murrayc@murrayc.com>

	* examples/derived/main.cc: Delete the dialog, instead of just leaking 
	it (for the short time until we reach the end of the main function).
	Noticed by Klaus Triendl. 

2006-01-20  Murray Cumming  <murrayc@murrayc.com>

	* libglade/src/xml.ccg: get_widget(): Show the name of the not-found 
  widget in the warning on the console, to help debugging. I think that 
  libglade used to do this, but does not seem to do it now.

2005-10-10  Cedric Gustin <cedric.gustin@swing.be>

	* configure.in: Added test for a native win32 platform. Use the
	ms-bitfields on this platform only. Fixes bug #314510.

2.6.1:

2005-09-07  Murray Cumming  <murrayc@murrayc.com>

	* NEWS: Updated.
	* configure.in: Increased version.

2005-03-10  Cedric Gustin <cedric.gustin@swing.be>

	* MSVC_Net2003/Makefile.am: Add blank.cpp to EXTRA_DIST.
	* MSVC_Net2003/libglademm/libglademm.vcproj: Disable warning #4250.
	* MSVC_Net2003/examples/*/*.vcproj: Change name of
	PDB file to $(OutDir)/$(TargetName).pdb. Disable warning #4250.

2.6.0:

2005-01-24  Cedric Gustin <cedric.gustin@swing.be>

	* MSVC_Net2003/libglademm/Makefile.am: Rewrote rule for local copy
	of glibmmconfig.h (required for 'make distcheck').
	* MSVC_Net2003/libglademm/libglademm.vcproj: Removed GLIBMM_BUILD
	macro.
	
2.5.1:

2005-01-11  Murray Cumming  <murrayc@murrayc.com>

	* MSVC_Net2003/libglademm/Makefile.am: Add libglademmconfig.h to 
	DISTCLEANFILES, to fix the distcheck.

2004-12-13  Cedric Gustin <cedric.gustin@swing.be>

	* configure.in : parse version tags at configure time (for
	libglademm-2.4.rc). 
	* MSVC_Net2003/libglademm/libglademm-2.4.rc.in : New resource file.
	* MSVC_Net2003/libglademm/Makefile.am: Include libglademm-2.4.rc
	in distribution. 
	* MSVC_Net2003/libglademm/libglademm.vcproj: Added resource file.

2004-12-08  Cedric Gustin  <cedric.gustin@swing.be>
  
	* MSVC_Net2003/: Initial release.
	* configure.in: Added MSVC_Net2003 Makefiles.
	* Makefile.am: Added MSVC_Net2003 subdir.

2004-08-28  Alberto Paro  <alberto@paro.homeunix.org>

	* libglade/xml.{ccg|hg}: Added connect_clicked() for easy connection of
	buttons and menuitems signals to a signal handler.
	* libglade/variablesmap.[ccg|hg]:  Glade::VariablesMap now handles
	Entry, ComboTextEntry, SpinButton, *Scale, Calendar and CheckBox.
	* example/variablesmap:  Improved the example to handle new
	VariablesMap types.

2004-09-19  Murray Cumming  <murrayc@murrayc.com>

	* This is the HEAD branch.

2004-09-19  Murray Cumming  <murrayc@murrayc.com>

	* libglademm/xml.hg: Fix from Denis Leroy in bug #151872. 

2.4.1:

2004-06-02  Bryan Forbes  <bryan@reigndropsfall.net>

	* examples/derived/deriveddialog.h: fix to compile with gcc 3.4.0.

2.4.0:

2.3.3:

2004-03-28  <jdhall@uiuc.edu>
 
 	* libglade/xml.hg: Check the return value of get_cwidget(). 

2004-03-18  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Makefile.am: Removed make target dependency on 
	installed beautify_docs, so it does not try to rebuild them when
	building from a tarball. Bug #137548 from Dalgoda.

2004-03-15  Cedric Gustin  <cedric.gustin@swing.be>

	* tools/m4/Makefile.am: install m4 files in libglademm-2.4 subdir
	instead of libglademm-2.0.

2004-03-15  Cedric Gustin  <cedric.gustin@swing.be>

	* configure.in: Added test for struct packing convention on win32
	(-mms-bitfields / -fnative-struct).

2004-03-12  Murray Cumming  <murrayc@murrayc.com>

	* libglade/src/xml.hg: get_widget_derived(): actually return the 
	existing widget when a wrapper instance already exists. Bug #136913 
	from Roger Whinlatter who submitted it to debian but should have 
	submitted it to bugzilla.gnome.org first.
	
2.3.2:
	
2004-02-13  Murray Cumming  <murrayc@murrayc.com>

	* Updated for latest libsigc++ 2 API.

2.3.1:

2003-12-31  Murray Cumming  <murrayc@usa.net>

	* docs/reference/Makefile.am: Generate a real devhelp file. Added
	a doxygen_to_devhelp.xsl file for this, by copying it from gtkmm and
	modifying it.

2003-12-29  Murray Cumming  <murrayc@usa.net>

	* configure.in: Use glibmm_check_perl() m4 macro installed by glibmm,
	so that doxygen can know the PERL_PATH.
	* docs/reference/Makefile.am: Added the docs rules from the same
	file in gtkmm, so that the docs are built and distributed and installed
	and uploaded.

2003-12-22  Murray Cumming  <murrayc@usa.net>

	* docs/reference/Makefile.am: Use beautify_docs.pl installed from
	glibmm 2.4.

2.3.0:

2003-12-07  Murray Cumming  <murrayc@usa.net>
 
 	* examples/menus/example.glade: Corrected the text. Patch by
 	Billy O'Connor in bug 128683.

2003-11-29  Murray Cumming  <murrayc@usa.net>

	* libglade/libglade-2.0.pc.in: Corrected library name.

2003-11-06  Cedric Gustin  <cedric.gustin@swing.be>

	* configure.in: Added test of win32 platform. Commented
	out AM_DISABLE_SHARED (DLLs are shared libraries).
	* build_shared/Makefile_build.am_fragment: added a few LDFLAGS 
	for win32 DLLs (defined in win32_dlls_ldflags and appended to 
	common_ldflags).

2003-11-06  Murray Cumming  <murrayc@usa.net>

	* Added examples/menus.
	* examples/basic: Added and distributed basic.gladep which is 
	necessary to prevent glade-2 from creating libgnomeui menus.

2003-11-02  Murray Cumming  <murrayc@usa.net>

	* This is now libglademm 2.4, which builds against gtkmm 2.4, and is 
	parallel-installable with libglademm 2.0/2.2.

This is HEAD, for GNOME 2.6, using gtkmm 2.4.
	
2003-10-30  Murray Cumming  <murrayc@usa.net>

	* libglade/libglademm.h: Include gtkmmconfig.h rather than
	libgnomemmconfig.h. These are platform-specific stuff. I am 
	surprised that it built before, because this does not depend
	on libgnomemm at all.

2003-10-17  Alberto Paro  <alberto@paro.homeunix.org>

	* docs/reference/Doxyfile.in: fixed docs generation 

2.1.2:

2003-09-25  Eric Bourque  <ericb@computer.org>

 	* libglademm.spec.in: new file

2003-09-02  Murray Cumming  <murrayc@usa.net>

	* libglademm/src/xml.hg: Added code to get_widget_derived(),
	to return an existing C++ instance if one exists. This makes 
	get_widget_derived() always return the same instance, like
	get_widget() already does. I added some more explicit explanation
	to the gtkmm book about this. 

2.1.1:
	
2003-09-01  Murray Cumming  <murrayc@usa.net>

	* Just rebuilt the tarball. Some corruption was causing the
	.la files to not be installed.

2.1.0:

2003-08-23  Murray Cumming  <murrayc@usa.net>
	
	* libglademm/src/xml.[hg|ccg]: Added 
	Glade::Xml::get_widget_derived() templated method.
	* Added examples/derived/ to demonstrate it. This allows you
	to encapsulate the handling of the child widgets inside the
	container widget's code.
	* Makefile.am: Added examples to SUBDIRS so that they are built
	by default, for regression testing.
	* examples/Makefile.am_fragment: Added top_srcdir include for
	distcheck.

2.0.0:

2002-12-20  Daniel Elstner  <daniel.elstner@gmx.net>

	* examples/basic/basic.cc (main): Exit the program if loading
	the glade file failed, so that it won't segfault.

2002-12-20  Murray Cumming  <murrayc@usa.net>

	* _IGNORE()ed some internal libglade functions.

2002-12-20  Murray Cumming  <murrayc@usa.net>

	* examples/basic/basic.cc: Used try/catch to catch the new XmlError
	exception. Added some comments.

2002-12-20  Daniel Elstner  <daniel.elstner@gmx.net>

	* libglade/src/xml.{ccg,hg} (XmlError): New exception class.
	(Xml::Xml): Throw an XmlError exception if glade_xml_construct()
	or glade_xml_create_from_buffer() failed.

2002-12-16  Daniel Elstner  <daniel.elstner@gmx.net>

	* libglade/src/xml.{ccg,hg} (Xml::Xml): In order to reduce code
	size, replace the ctor overloads with a single ctor and default
	arguments, and treat empty strings as 0.  Also, use std::string
	instead of Glib::ustring for the filename argument.
	(Xml::Xml): Add ctor overload for glade_xml_new_from_buffer().
	We should use a construct() function instead but that requires
	an API addition to libglade.
	(Xml::create): Use std::string for the filename argument, and
	reduce code by using default arguments instead of 3 overloads.
	(Xml::create_from_buffer): Take a plain const char* for the buffer
	argument, plus an int for its size.  We already need to do this
	for the ctor to avoid overload ambiguities, and I don't see much
	of a point in providing an additional create_from_buffer() overload
	since it's rarely used.
	(Xml::get_widget_checked): New internal method that checks the
	type of the widget and prints a warning on failure.
	(Xml::get_widget): Move most of the code into the non-templated
	method get_widget_checked(), to reduce binary size.
	(Xml::relative_file): Take and return std::string, since it's
	a filename.
	(Xml::get_filename): New accessor to public struct data member.
	(Xml::get_widget_name): Add.
	(Xml::glade_get_widget_tree): Add.

	* tools/m4/convert_libglademm.m4: Add conversion from GladeXML*
	to Glib::RefPtr<Xml>.

2002-12-16  Murray Cumming  <murrayc@usa.net>

	* src/xml.hg: reparent_widget() is no longer virtual.

2002-12-16  Murray Cumming  <murrayc@usa.net>

	* src/xml.[hg|ccg]: Renamed lookup_type() to lookup_type_vfunc(), to
	be consistent with other gtkmm vfuncs, and made it virtual.

2002-12-12  Murray Cumming  <murrayc@usa.net>

	* configure.in: Increased version from 1.3.x to 2.0
	* libglademm/libglademm/Makefile.am: Changed librarary name.
	* libglademm/*.pc.in: Changed library name.
	* examples/Makefile.am_fragment: Changed library name.

2002-12-10  Bradley Bell  <btb@debian.org>

	* scripts/Makefile.am: distribute macros.m4

1.3.5:
	* Updated for gtkmm2.
	
1.3.4:
	
2002-08-07  Murray Cumming  <murrayc@usa.net>

	* Glade::Xml now uses the new gtkmm _CONSTRUCT macro, so it uses
	the correct Glib::Object constructor.

2002-08-06  Martin Schulze  <MHL.Schulze@t-online.de>

	* examples/basic/Makefile.am: Replace 'example' with 'basic' to
	match the actual file names.

1.3.3:
	
2002-07-16  Murray Cumming  <murrayc@usa.net>

	* Rebuilt for latest gtkmm.

1.3.2:
	
2002-06-23  Murray Cumming  <murrayc@usa.net>

	* Rebuilt for latest gtkmm.
	* VariablesMap: Fixed "no return statement" warning.

1.3.1:
	
2002-05-02  Murray Cumming  <murrayc@usa.net>

	* Added Gnome::Glade::VariablesMap, with an example. This allows
	you to map named Glade widgets to member variables, and transfer
	all the data with one method call.

1.3.0:
	
2002-04-29  Murray Cumming  <murrayc@usa.net>

	* Added reparent_widget() method.

2002-04-28  Murray Cumming  <murrayc@usa.net>

	* Added templated get_widget(name, widget) override, which
	does the dynamic casting and warns about any runtime errors, so
	that application code doesn't need to.

2002-04-25  Murray Cumming  <murrayc@usa.net>

	* examples/basic: Use a GtkDialog in the .glade file instead of
	the deprecated GnomeDialog. The signal connection now seems to
	work.
	* libglade/src/xml.[hg|ccg]: Added a lookup_type() vfunc
	that instantiates gtkmm types instead of gtk+ types. This requires
	the latest libglade.

2002-04-25  Michael A. Koziarski  <michael@koziarski.org>

	* libglade/src/xml.ccg
	* libglade/src/xml.hg: As requested, implemented overloaded
	create_from_buffer methods. 
	
2002-04-25  Murray Cumming  <murrayc@usa.net>

	* Added "basic" example based on the libglade docs and Michael
	Koziarski's .glade file.

2002-04-24  Michael A. Koziarski  <michael@koziarski.org>

	* libglade/src/xml.ccg
	* libglade/src/xml.hg: Implemented overloaded create methods &
	constructors.  Most applications won't need to send a domain
	parameter, and some don't need a root parameter

2002-04-23  Murray Cumming  <murrayc@usa.net>

	* Generated sources are now distributed. The
	build_shared/*.am_fragement files were copied from libgnomecanvasmm.

2002-04-23  Murray Cumming  <murrayc@usa.net>

	* Xml constructor uses the glade_xml_construct() function because
	GladeXML doesn't have construct-time properties yet.
	

